LN(1)

NIMI
ln - tehdaan linkityksiä tiedostojen välillä

YLEISKATSAUS
ln [VALITSIN]... [-T] KOHDE LINKIN_NIMI
ln [VALITSIN]... KOHDE
ln [VALITSIN]... KOHDE... HAKEMISTO
ln [VALITSIN]... -t HAKEMISTO KOHDE...

KUVAUS

In the 1st form, create a link to TARGET with the name LINK_NAME. In the 2nd form, create a link to TARGET in the current directory. In the 3rd and 4th forms, create links to each TARGET in DIRECTORY. Create hard links by default, symbolic links with --symbolic. By default, each destination (name of new link) should not already exist. When creating hard links, each TARGET must exist. Symbolic links can hold arbitrary text; if later resolved, a relative link is interpreted in relation to its parent directory.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

--backup[=CONTROL]
    varmuuskopioi jokainen olemassaoleva kohdetiedosto

-b  kuten --backup, mutta ilman argumenttia

-d, -F, --directory
    allow the superuser to attempt to hard link directories, if supported by the system

-f, --force
    poista olemassaolevat kohdetiedostot

-i, --interactive
    kysy ennen kohteiden poistamista

-L, --logical
    dereference TARGETs that are symbolic links

-n, --no-dereference
    treat LINK_NAME as a normal file if it is a symbolic link to a directory

-P, --physical
    make hard links directly to symbolic links

-r, --relative
    with -s, create links relative to link location

-s, --symbolic
    tee symbolisia linkkejä kovien linkkien sijaan

-S, --suffix=SUFFIX
    syrjäytä tavanomainen varmuuskopion jälkiliite

-t, --target-directory=HAKEMISTO
    anna HAKEMISTO, jonka alle linkit luodaan

-T, --no-target-directory
    käsittele LINKIN_NIMEÄ tavallisena tiedostona

-v, --verbose
    näytä kunkin linkitetyn tiedoston tiedoston nimi

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Varmuuskopion jälkiliite on ”~”, ellei muuta ole asetettu valitsimella --suffix tai ympäristömuuttujalla SIMPLE_BACKUP_SUFFIX. Versionhallintamenetelmän voi valita käyttäen valitsinta --backup tai ympäristömuuttujaa VERSION_CONTROL. Arvot ovat seuraavat:

none, off
    älä varmuuskopioi koskaan (vaikka --backup olisi annettu)

numbered, t
    tee numeroituja varmuuskopioita

existing, nil
    numeroituja jos sellaisia on jo olemassa, muuten yksinkertaisia

simple, never
    tee aina yksinkertaisia varmuuskopiota

-s:n käyttö ohittaa -L ja -P. Muussa tapauksessa viimeksi määritetyt ohjausobjektit kun KOHDE on symbolinen linkki, oletusarvon mukaan -P.

TEKIJÄ
Kirjoittaneet Mike Parker ja David MacKenzie.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-coreutils@gnu.org
GNU coreutils-kotisivu: <https://www.gnu.org/software/coreutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

KATSO MYÖS
link(2), symlink(2)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/ln>
tai saatavilla paikallisesti: info '(coreutils) ln invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen.
Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Petri Aerikkala <paerikka@turkuamk.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.